# Contributing

Thank you for your interest in contributing to this repo! All contributions (even small ones) are welcome. You can contribute either by submitting a new issue for a bug you encountered, or by fixing a reported bug.

## Reporting a bug

To report a bug in this package, [fill in a new issue.](https://github.com/matteodelabre/saxophone/issues/new) Please provide all the details needed to reproduce your bug, including your versions Node.js and this package. A minimal failing test case is usually a good way to report a bug.

## Fixing a bug

1. Fork this repository.
2. Clone your fork locally.
3. Run `npm install` to install development dependencies.
3. Checkout to a new branch named appropriately. This name should reflect the bug you tackle, eg. if you had fixed the issue "Improve documentation", you could have chosen `improve-docs`.
4. Make your changes!
5. If you introduced new features, don’t forget to add test cases for them.
6. Make sure all tests run successfully (`npm run test`) and that your code complies to the style guide (`npm run lint`).
7. Submit a pull request.
